/*
 * bsp_TIMER.h
 *
 *  Created on: Oct 26, 2023
 *      Author: shiya
 */

#ifndef INC_BSP_TIMER_H_
#define INC_BSP_TIMER_H_

#include "bsp_include.h"
#include "MSP/msp_DH_W_H.h"



extern uint8_t Linear_motion_flag;
extern uint16_t Rot_current_time;
extern uint16_t Pit_current_time;

uint8_t GF_BSP_TIMER_Init(void);
void GF_BSP_TIMER_DelayUS(uint32_t n);


#endif /* INC_BSP_TIMER_H_ */
